Bug 247054 - graphics/blender: Update to 2.83.0
Summary: graphics/blender: Update to 2.83.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://www.blender.org/download/rele...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2020-06-07 16:42 UTC by VVD
Modified: 2020-06-16 11:44 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (FreeBSD)
vvd: maintainer-feedback?


Attachments
Update to 2.83.0 (11.72 KB, patch)
2020-06-07 16:42 UTC, VVD
no flags Details | Diff
Update to 2.83.0 (26.99 KB, patch)
2020-06-07 19:45 UTC, VVD
no flags Details | Diff
Update to 2.83.0 (30.37 KB, patch)
2020-06-08 17:12 UTC, VVD
vvd: maintainer-approval?
Details | Diff
maintainer update for graphics/blender (91.55 KB, patch)
2020-06-11 04:30 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update for graphics/blender (86.38 KB, patch)
2020-06-16 05:34 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-06-07 16:42:38 UTC
Created attachment 215326 [details]
Update to 2.83.0

Tested on 12.1 amd64.

1. TODO: check pkg-plist (manual fixed, but can be new files).
2. CYCLESOSL is broken:
/usr/ports/graphics/blender/work/blender-2.83.0/intern/cycles/kernel/shaders/stdcycles.h:31:10: fatal error: 'stdosl.h' file not found
Comment 1 VVD 2020-06-07 19:45:48 UTC
Created attachment 215332 [details]
Update to 2.83.0

Fixed and tested 2 with make check-plist.
1st never work for me.
Comment 2 VVD 2020-06-07 19:47:08 UTC
(In reply to VVD from comment #1)
Incorrect numeration:
1. Fixed and tested with make check-plist.
2. Never work for me.
Comment 3 VVD 2020-06-08 17:12:21 UTC
Created attachment 215367 [details]
Update to 2.83.0

2. Fixed too.
Comment 4 Shane 2020-06-11 04:30:51 UTC
Created attachment 215432 [details]
maintainer update for graphics/blender

There is no need to patch the cmake files, you can pass OSL_ROOT_DIR to cmake.
I also wanted to remove the use of VERDIR as we shouldn't need to remove alpha chars from version any more.


This is what I had ready to submit.

Update blender to 2.83.0
Remove use of VERDIR as minor update should no longer use alpha chars
The pkg-plist has some re-ordering due to automation from make makeplist output.
Comment 5 VVD 2020-06-11 12:27:02 UTC
(In reply to Shane from comment #4)
You removed all %%CYCLESOSL%%* files - is this correct?
Comment 6 Fernando Apesteguía freebsd_committer 2020-06-15 06:34:11 UTC
(In reply to VVD from comment #5)
I don't see all %%CYCLESOSL%%* files removed. How do you mean?

This builds in {11.3,12.1}{amd64,i386} and 13-current am64. It also works in 12.1 amd64.

I there are no more concerns, I will try to commit this along the day.
Comment 7 VVD 2020-06-15 12:34:20 UTC
(In reply to Fernando Apesteguía from comment #6)
> I don't see all %%CYCLESOSL%%* files removed. How do you mean?
Look at your patch:
...
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_absorption_volume.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_add_closure.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_ambient_occlusion.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_anisotropic_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_attribute.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_background.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_bevel.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_blackbody.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_brick_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_brightness.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_bump.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_camera.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_checker_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_clamp.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_color.h
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_combine_hsv.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_combine_rgb.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_combine_xyz.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_convert_from_color.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_convert_from_float.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_convert_from_int.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_convert_from_normal.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_convert_from_point.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_convert_from_vector.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_diffuse_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_displacement.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_emission.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_environment_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_fresnel.h
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_fresnel.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_gamma.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_geometry.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_glass_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_glossy_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_gradient_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_hair_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_hair_info.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_hash.h
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_holdout.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_hsv.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_ies_light.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_image_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_invert.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_layer_weight.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_light_falloff.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_light_path.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_magic_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_map_range.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_mapping.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_math.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_mix_closure.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_mix.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_musgrave_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_noise.h
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_noise_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_normal_map.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_normal.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_object_info.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_output_displacement.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_output_surface.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_output_volume.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_particle_info.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_principled_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_principled_hair_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_principled_volume.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_ramp_util.h
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_refraction_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_rgb_curves.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_rgb_ramp.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_rgb_to_bw.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_scatter_volume.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_separate_hsv.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_separate_rgb.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_separate_xyz.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_set_normal.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_sky_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_subsurface_scattering.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_tangent.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_texture_coordinate.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_toon_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_translucent_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_transparent_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_uv_map.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_value.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_vector_curves.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_vector_displacement.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_vector_math.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_vector_transform.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_velvet_bsdf.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_vertex_color.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_voronoi_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_voxel_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_wave_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_wavelength.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_white_noise_texture.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/node_wireframe.oso
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/oslutil.h
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/stdosl.h
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/vector2.h
-%%CYCLESOSL%%%%DATADIR%%/%%VER%%/scripts/addons/cycles/shader/vector4.h
...

Try to "make check-plist" with CYCLESOSL option ON.
Comment 8 Shane 2020-06-16 05:34:03 UTC
Created attachment 215598 [details]
maintainer update for graphics/blender

yes the osl files should be there
Comment 9 Fernando Apesteguía freebsd_committer 2020-06-16 05:51:45 UTC
I'll re-test the new patch as long as my build queue is empty... I hope it doesn't take long.
Comment 10 commit-hook freebsd_committer 2020-06-16 11:43:02 UTC
A commit references this bug:

Author: fernape
Date: Tue Jun 16 11:42:42 UTC 2020
New revision: 539341
URL: https://svnweb.freebsd.org/changeset/ports/539341

Log:
  graphics/blender: Update to 2.83.0

  ChangeLog: https://www.blender.org/download/releases/2-83/

  PR:	247054
  Submitted by:	vvd@unislabs.com
  Reviewed by:	FreeBSD@ShaneWare.Biz (maintainer)

Changes:
  head/graphics/blender/Makefile
  head/graphics/blender/Makefile.versions
  head/graphics/blender/distinfo
  head/graphics/blender/pkg-plist
Comment 11 Fernando Apesteguía freebsd_committer 2020-06-16 11:44:53 UTC
Committed,

Thank you both!